Découverte d’une vulnérabilité affectant plusieurs projets Lightning

0
780

Dans un message publié hier sur la liste de diffusion Lightning-dev, le développeur Rusty Russell * a signalé hier (sans en révéler la nature pour l’instant) un problème de sécurité affectant plusieurs projets Lightning dont c-lightning, Ind et Eclair. Une simple mise à jour de ces logiciels suffit pour se prémunir de tout risque de perte lié à cette vulnérabilité.

« Des problèmes de sécurité ont été détectés dans divers projets Lightning pouvant entraîner une perte de fonds. Les détails complets seront publiés dans quatre semaines (le 27 septembre 2019), veuillez effectuer les mises à jour requises dès que possible. » – Rusty Russell.

Versions affectées :
– C-lightning < 0.7.1
– Lnd < 0.7
– Eclair <= 0.3

Source : lists.linuxfoundation.org/pipermail/lightning-dev


* Rusty Russell est l’un des principaux contributeurs aux spécifications du Lightning Network.